Apache Tomcat 6.0.51

## org.apache.coyote.http11
Class Http11NioProtocol

    java.lang.Object
      org.apache.coyote.AbstractProtocol
          org.apache.coyote.http11.Http11NioProtocol

All Implemented Interfaces:
  javax.management.MBeanRegistration, ProtocolHandler

    public class Http11NioProtocol

extends AbstractProtocol
implements javax.management.MBeanRegistration

Abstract the protocol implementation, including threading, etc. Processor is single threaded and specific to stream-based protocols, will not fit Jk protocols like JNI.

Author:
  Remy Maucherat, Costin Manolache, Filip Hanik

Field Summary
`protected java.util.Hashtable<java.lang.String,java.lang.Object>` | `attributes`
`protected java.lang.String` | `clientCertProvider` When client certificate information is presented in a form other than instances of `X509Certificate` it needs to be converted before it can be used and this property controls which JSSE provider is used to perform the conversion.
`protected java.lang.String` | `domain`
`protected NioEndpoint` | `ep`
`protected static Log` | `log`
`protected javax.management.MBeanServer` | `mserver`
`protected javax.management.ObjectName` | `oname`
`protected int` | `processorCache`
`protected boolean` | `secure`
`protected static StringManager` | `sm` The string manager for this package.
`protected JSSEImplementation` | `sslImplementation`

Constructor Summary
`Http11NioProtocol()`

Method Summary
`void` | `destroy()`
`int` | `getAcceptorThreadPriority()`
`Adapter` | `getAdapter()`
`java.net.InetAddress` | `getAddress()`
`java.lang.String` | `getAlgorithm()`
`java.lang.Object` | `getAttribute(java.lang.String key)`
`java.util.Iterator<java.lang.String>` | `getAttributeNames()`
`int` | `getBacklog()`
`java.lang.String` | `getCiphers()`
`java.lang.String` | `getClientauth()`
`java.lang.String` | `getClientAuth()`
`java.lang.String` | `getClientCertProvider()`
`java.lang.String` | `getCompressableMimeType()`
`java.lang.String` | `getCompression()`
`int` | `getCompressionMinSize()`
`boolean` | `getDisableUploadTimeout()`
`java.lang.String` | `getDomain()`
`protected AbstractEndpoint` | `getEndpoint()`
`java.util.concurrent.Executor` | `getExecutor()`
`boolean` | `getKeepAlive()` Return the Keep-Alive policy for the connection.
`java.lang.String` | `getKeyAlias()`
`java.lang.String` | `getKeypass()`
`java.lang.String` | `getKeystore()`
`java.lang.String` | `getKeystoreFile()`
`java.lang.String` | `getKeystorePass()`
`java.lang.String` | `getKeystoreType()`
`java.lang.String` | `getKeytype()`
`int` | `getMaxHttpHeaderSize()`
`int` | `getMaxKeepAliveRequests()`
`int` | `getMaxSavePostSize()`
`int` | `getMaxThreads()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNoCompressionUserAgents()`
`javax.management.ObjectName` | `getObjectName()`
`int` | `getOomParachute()`
`int` | `getPollerThreadCount()`
`int` | `getPollerThreadPriority()`
`int` | `getPort()`
`int` | `getProcessorCache()`
`java.lang.String` | `getProperty(java.lang.String name)` Get a property
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getRestrictedUserAgents()`
`boolean` | `getSecure()`
`long` | `getSelectorTimeout()`
`java.lang.String` | `getServer()`
`int` | `getSocketBuffer()`
`int` | `getSocketCloseDelay()`
`int` | `getSoLinger()`
`int` | `getSoTimeout()`
`boolean` | `getSSLEnabled()`
`java.lang.String` | `getSslProtocol()`
`boolean` | `getTcpNoDelay()`
`int` | `getThreadPriority()`
`int` | `getTimeout()`
`java.lang.String` | `getTruststoreFile()`
`java.lang.String` | `getTruststorePass()`
`java.lang.String` | `getTruststoreType()`
`boolean` | `getUseSendfile()`
`void` | `init()` Start the protocol
`void` | `pause()` Pause the protocol (optional).
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `resume()` Resume the protocol (optional).
`void` | `setAcceptorThreadPriority(int threadPriority)`
`void` | `setAdapter(Adapter adapter)` The adapter, used to call the connector
`void` | `setAddress(java.net.InetAddress ia)`
`void` | `setAlgorithm(java.lang.String s)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Pass config info
`void` | `setBacklog(int i)`
`void` | `setCiphers(java.lang.String s)`
`void` | `setClientauth(java.lang.String s)`
`void` | `setClientAuth(java.lang.String s)`
`void` | `setClientCertProvider(java.lang.String s)`
`void` | `setCompressableMimeType(java.lang.String valueS)`
`void` | `setCompression(java.lang.String valueS)`
`void` | `setCompressionMinSize(int valueI)`
`void` | `setDisableUploadTimeout(boolean isDisabled)`
`void` | `setExecutor(java.util.concurrent.Executor executor)`
`void` | `setKeepAlive(boolean keepAlive)` Set the keep-alive policy for this connection.
`void` | `setKeyAlias(java.lang.String s)`
`void` | `setKeypass(java.lang.String s)`
`void` | `setKeystore(java.lang.String s)`
`void` | `setKeystoreFile(java.lang.String s)`
`void` | `setKeystorePass(java.lang.String s)`
`void` | `setKeystoreType(java.lang.String s)`
`void` | `setKeytype(java.lang.String s)`
`void` | `setMaxHttpHeaderSize(int valueI)`
`void` | `setMaxKeepAliveRequests(int mkar)` Set the maximum number of Keep-Alive requests that we will honor.
`void` | `setMaxSavePostSize(int valueI)`
`void` | `setMaxThreads(int maxThreads)`
`void` | `setNoCompressionUserAgents(java.lang.String valueS)`
`void` | `setOomParachute(int oomParachute)`
`void` | `setPollerThreadCount(int count)`
`void` | `setPollerThreadPriority(int threadPriority)`
`void` | `setPort(int port)`
`void` | `setProcessorCache(int processorCache)`
`boolean` | `setProperty(java.lang.String name, java.lang.String value)` Set a property.
`void` | `setProtocol(java.lang.String k)`
`void` | `setProtocols(java.lang.String k)`
`void` | `setRestrictedUserAgents(java.lang.String valueS)`
`void` | `setSecure(boolean b)`
`void` | `setSelectorTimeout(long timeout)`
`void` | `setServer(java.lang.String server)`
`void` | `setSocketBuffer(int valueI)`
`void` | `setSocketCloseDelay(int d)`
`void` | `setSoLinger(int i)`
`void` | `setSoTimeout(int i)`
`void` | `setSSLEnabled(boolean SSLEnabled)`
`void` | `setSslEnabledProtocols(java.lang.String k)`
`void` | `setSslProtocol(java.lang.String s)`
`void` | `setTcpNoDelay(boolean b)`
`void` | `setThreadPriority(int threadPriority)`
`void` | `setTimeout(int timeouts)`
`void` | `setTruststoreFile(java.lang.String f)`
`void` | `setTruststorePass(java.lang.String p)`
`void` | `setTruststoreType(java.lang.String t)`
`void` | `setUseExecutor(boolean useexec)`
`void` | `setUseSendfile(boolean useSendfile)`
`void` | `start()` Start the protocol.

Methods inherited from class org.apache.coyote.AbstractProtocol
`createName, getLocalPort, getMaxCookieCount, getMaxHeaderCount, getNameIndex, nextNameIndex, setMaxCookieCount, setMaxHeaderCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sslImplementation

    protected JSSEImplementation sslImplementation

### sm

    protected static StringManager sm

  The string manager for this package.

### ep

    protected NioEndpoint ep

### secure

    protected boolean secure

### attributes

    protected java.util.Hashtable<java.lang.String,java.lang.Object> attributes

### processorCache

    protected int processorCache

### clientCertProvider

    protected java.lang.String clientCertProvider

  When client certificate information is presented in a form other than instances of `X509Certificate` it needs to be converted before it can be used and this property controls which JSSE provider is used to perform the conversion. For example it is used with the AJP connectors, the HTTP APR connector and with the `SSLValve`. If not specified, the default provider will be used.

### log

    protected static Log log

### domain

    protected java.lang.String domain

### oname

    protected javax.management.ObjectName oname

### mserver

    protected javax.management.MBeanServer mserver

Constructor Detail

### Http11NioProtocol

    public Http11NioProtocol()

Method Detail

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Pass config info

  Specified by:
    `setAttribute` in interface `ProtocolHandler`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String key)

  Specified by:
    `getAttribute` in interface `ProtocolHandler`

### getAttributeNames

    public java.util.Iterator<java.lang.String> getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `ProtocolHandler`

### setProperty

    public boolean setProperty(java.lang.String name,
                               java.lang.String value)

  Set a property.

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Get a property

### setAdapter

    public void setAdapter(Adapter adapter)

  The adapter, used to call the connector

  Specified by:
    `setAdapter` in interface `ProtocolHandler`

### getAdapter

    public Adapter getAdapter()

  Specified by:
    `getAdapter` in interface `ProtocolHandler`

### init

    public void init()
              throws java.lang.Exception

  Start the protocol

  Specified by:
    `init` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Description copied from interface: `ProtocolHandler`
  Start the protocol.

  Specified by:
    `start` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### pause

    public void pause()
               throws java.lang.Exception

  Description copied from interface: `ProtocolHandler`
  Pause the protocol (optional).

  Specified by:
    `pause` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### resume

    public void resume()
                throws java.lang.Exception

  Description copied from interface: `ProtocolHandler`
  Resume the protocol (optional).

  Specified by:
    `resume` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()
                 throws java.lang.Exception

  Specified by:
    `destroy` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### getEndpoint

    protected final AbstractEndpoint getEndpoint()

  Specified by:
    `getEndpoint` in class `AbstractProtocol`

### setPollerThreadCount

    public void setPollerThreadCount(int count)

### getPollerThreadCount

    public int getPollerThreadCount()

### setSelectorTimeout

    public void setSelectorTimeout(long timeout)

### getSelectorTimeout

    public long getSelectorTimeout()

### getExecutor

    public java.util.concurrent.Executor getExecutor()

### setExecutor

    public void setExecutor(java.util.concurrent.Executor executor)

### setUseExecutor

    public void setUseExecutor(boolean useexec)

### getMaxThreads

    public int getMaxThreads()

### setMaxThreads

    public void setMaxThreads(int maxThreads)

### setThreadPriority

    public void setThreadPriority(int threadPriority)

### setAcceptorThreadPriority

    public void setAcceptorThreadPriority(int threadPriority)

### setPollerThreadPriority

    public void setPollerThreadPriority(int threadPriority)

### getThreadPriority

    public int getThreadPriority()

### getAcceptorThreadPriority

    public int getAcceptorThreadPriority()

### getPollerThreadPriority

    public int getPollerThreadPriority()

### getUseSendfile

    public boolean getUseSendfile()

### setUseSendfile

    public void setUseSendfile(boolean useSendfile)

### getBacklog

    public int getBacklog()

### setBacklog

    public void setBacklog(int i)

### getPort

    public int getPort()

### setPort

    public void setPort(int port)

### getAddress

    public java.net.InetAddress getAddress()

### setAddress

    public void setAddress(java.net.InetAddress ia)

### getName

    public java.lang.String getName()

### getTcpNoDelay

    public boolean getTcpNoDelay()

### setTcpNoDelay

    public void setTcpNoDelay(boolean b)

### getDisableUploadTimeout

    public boolean getDisableUploadTimeout()

### setDisableUploadTimeout

    public void setDisableUploadTimeout(boolean isDisabled)

### getSocketBuffer

    public int getSocketBuffer()

### setSocketBuffer

    public void setSocketBuffer(int valueI)

### getCompression

    public java.lang.String getCompression()

### setCompression

    public void setCompression(java.lang.String valueS)

### getMaxSavePostSize

    public int getMaxSavePostSize()

### setMaxSavePostSize

    public void setMaxSavePostSize(int valueI)

### getMaxHttpHeaderSize

    public int getMaxHttpHeaderSize()

### setMaxHttpHeaderSize

    public void setMaxHttpHeaderSize(int valueI)

### getRestrictedUserAgents

    public java.lang.String getRestrictedUserAgents()

### setRestrictedUserAgents

    public void setRestrictedUserAgents(java.lang.String valueS)

### getNoCompressionUserAgents

    public java.lang.String getNoCompressionUserAgents()

### setNoCompressionUserAgents

    public void setNoCompressionUserAgents(java.lang.String valueS)

### getCompressableMimeType

    public java.lang.String getCompressableMimeType()

### setCompressableMimeType

    public void setCompressableMimeType(java.lang.String valueS)

### getCompressionMinSize

    public int getCompressionMinSize()

### setCompressionMinSize

    public void setCompressionMinSize(int valueI)

### getSoLinger

    public int getSoLinger()

### setSoLinger

    public void setSoLinger(int i)

### getSoTimeout

    public int getSoTimeout()

### setSoTimeout

    public void setSoTimeout(int i)

### getProtocol

    public java.lang.String getProtocol()

### setProtocol

    public void setProtocol(java.lang.String k)

### getSecure

    public boolean getSecure()

### setSecure

    public void setSecure(boolean b)

### getMaxKeepAliveRequests

    public int getMaxKeepAliveRequests()

### setMaxKeepAliveRequests

    public void setMaxKeepAliveRequests(int mkar)

  Set the maximum number of Keep-Alive requests that we will honor.

### getKeepAlive

    public boolean getKeepAlive()

  Return the Keep-Alive policy for the connection.

### setKeepAlive

    public void setKeepAlive(boolean keepAlive)

  Set the keep-alive policy for this connection.

### getSocketCloseDelay

    public int getSocketCloseDelay()

### setSocketCloseDelay

    public void setSocketCloseDelay(int d)

### setServer

    public void setServer(java.lang.String server)

### getServer

    public java.lang.String getServer()

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int timeouts)

### setProcessorCache

    public void setProcessorCache(int processorCache)

### setOomParachute

    public void setOomParachute(int oomParachute)

### getKeystoreFile

    public java.lang.String getKeystoreFile()

### setKeystoreFile

    public void setKeystoreFile(java.lang.String s)

### setKeystore

    public void setKeystore(java.lang.String s)

### getKeystore

    public java.lang.String getKeystore()

### getKeyAlias

    public java.lang.String getKeyAlias()

### setKeyAlias

    public void setKeyAlias(java.lang.String s)

### getAlgorithm

    public java.lang.String getAlgorithm()

### setAlgorithm

    public void setAlgorithm(java.lang.String s)

### setClientauth

    public void setClientauth(java.lang.String s)

### getClientauth

    public java.lang.String getClientauth()

### getClientAuth

    public java.lang.String getClientAuth()

### setClientAuth

    public void setClientAuth(java.lang.String s)

### getKeystorePass

    public java.lang.String getKeystorePass()

### setKeystorePass

    public void setKeystorePass(java.lang.String s)

### setKeypass

    public void setKeypass(java.lang.String s)

### getKeypass

    public java.lang.String getKeypass()

### getKeystoreType

    public java.lang.String getKeystoreType()

### setKeystoreType

    public void setKeystoreType(java.lang.String s)

### getKeytype

    public java.lang.String getKeytype()

### setKeytype

    public void setKeytype(java.lang.String s)

### setTruststoreFile

    public void setTruststoreFile(java.lang.String f)

### getTruststoreFile

    public java.lang.String getTruststoreFile()

### setTruststorePass

    public void setTruststorePass(java.lang.String p)

### getTruststorePass

    public java.lang.String getTruststorePass()

### setTruststoreType

    public void setTruststoreType(java.lang.String t)

### getTruststoreType

    public java.lang.String getTruststoreType()

### getSslProtocol

    public java.lang.String getSslProtocol()

### setSslProtocol

    public void setSslProtocol(java.lang.String s)

### getCiphers

    public java.lang.String getCiphers()

### setCiphers

    public void setCiphers(java.lang.String s)

### getSSLEnabled

    public boolean getSSLEnabled()

### setSSLEnabled

    public void setSSLEnabled(boolean SSLEnabled)

### setProtocols

    public void setProtocols(java.lang.String k)

### setSslEnabledProtocols

    public void setSslEnabledProtocols(java.lang.String k)

### getClientCertProvider

    public java.lang.String getClientCertProvider()

### setClientCertProvider

    public void setClientCertProvider(java.lang.String s)

### getObjectName

    public javax.management.ObjectName getObjectName()

### getDomain

    public java.lang.String getDomain()

### getProcessorCache

    public int getProcessorCache()

### getOomParachute

    public int getOomParachute()

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.